<?php

declare(strict_types=1);

namespace App\Controller\Maestro;

use App\Service\MaestroService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getMaestroService(): MaestroService
    {
        return $this->container->get('Maestro_service');
    }
}
